import javax.swing.JFrame;
import java.awt.BorderLayout;

/**
 * JFrame that holds all of the menus, colorbuttons, tools, and canvas
 * 
 * @author Joe Wanstrath, Dillon Hunt Started work March 25, 2008
 */
public class Paint extends JFrame {

	private static String title = "Paint";

	/**
	 * default frame size
	 */
	public static final int FRAME_WIDTH = 1200;

	/**
	 * default frame size
	 */
	public static final int FRAME_HEIGHT = 800;

	/**
	 * 
	 * Build the Paint window
	 * 
	 */
	public Paint() {
		this.setLayout(new BorderLayout());

		Canvas canvas = new Canvas();
		this.add(canvas);
	}

	/**
	 * Start here.
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		Paint frame = new Paint();
		frame.setSize(FRAME_WIDTH, FRAME_HEIGHT);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setTitle(title);
		frame.setVisible(true);

	}

}
